Package org.sunflow.core

## Class ParameterList.FloatParameter

- java.lang.Object
- - org.sunflow.core.ParameterList.FloatParameter

- Enclosing class:
    ParameterList

      public static final class ParameterList.FloatParameter
      extends java.lang.Object

  Represents an array of floating point values. This can store single float, points, vectors, texture coordinates or matrices. The parameter should be interpolated over the surface according to the interp parameter when applicable.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `float[]` | `data` |
    `ParameterList.InterpolationType` | `interp` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FloatParameter()` |
    `FloatParameter​(float f)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### interp

          public final ParameterList.InterpolationType interp

    - #### data

          public final float[] data

  - ### Constructor Detail

    - #### FloatParameter

          public FloatParameter()

    - #### FloatParameter

          public FloatParameter​(float f)